Bug 19673 - Seamless audio signal transitions at splice points
Summary: Seamless audio signal transitions at splice points
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: Media Source Extensions (show other bugs)
Version: unspecified
Hardware: All Windows 3.1
: P2 normal
Target Milestone: ---
Assignee: Adrian Bateman [MSFT]
QA Contact: HTML WG Bugzilla archive list
URL:
Whiteboard: tpac2012
Keywords:
Depends on:
Blocks: 20327
  Show dependency treegraph
 
Reported: 2012-10-23 17:25 UTC by Pierre Lemieux
Modified: 2013-03-12 23:02 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre Lemieux 2012-10-23 17:25:19 UTC
In scenarios such as adaptive bitrate, branching, video editing, and commercial insertion, multiple media streams are spliced into a single continuous program. Care should be taken when processing audio signals at each of the splice points: the audio content on each side of the splice might not have been authored in anticipation of a splice or, when audio is coded, the frame boundaries of each stream might not align.

The MSE specification should ideally provide sufficient guidance to enable UA implementations to support seamless audio splicing, and allow content to be authored accordingly.

As a starting point, the following input document is meant to summarize practices designed to prevent audio artifacts, enable a seamless splice whenever possible and maintain synchronization between audio and other related signals, e.g. video.

https://docs.google.com/open?id=0Bz7s0dhnv-7HdmtkcnBzazdqbEU
Comment 1 Adrian Bateman [MSFT] 2012-10-23 17:56:27 UTC
Adding tpac2012 tag.
Comment 2 Pierre Lemieux 2012-12-08 06:57:41 UTC
Unless significant technical issues are identified, Section 2 of the contribution can and should be added to the specification as an informative annex prior to FPWD. It will allow the recommendations, designed to guide the handling of audio around splices, to benefit from the FPWD process, e.g. wider public scrutiny et al.
Comment 3 Aaron Colwell (c) 2013-03-12 23:02:36 UTC
I believe the spec text now should be sufficient and we don't need most of what is in the attached document. If there are important gaps, please file a new bugs with references to the current text please. This document was very helpful in getting the spec text where it is today so thank you for creating it.